| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Gaudi::Parsers::NodeOperations Class Referencefinal

`#include <src/JobOptionsSvc/Node.h>`

## Classes
struct | result
struct | value

## Public Member Functions
void | operator() (Node &node, Node::NodeType type) const
void | operator() (Node &node, Node child) const
void | operator() (Node &node, std::string val) const
void | operator() (Node &node, boost::iterator_range< Iterator > range) const
void | operator() (Node &node, bool val) const
void | operator() (Node &node, const Iterator &iter) const

## Detailed Description

Definition at line 41 of file Node.h.

## Member Function Documentation

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | Node::NodeType | type
| ) |  | const
| inline

Definition at line 51 of file Node.h.

51 {
52 node.type = type;
53 }
gaudirun.type
type
Definition: gaudirun.py:125

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | Node | child
| ) |  | const
| inline

Definition at line 55 of file Node.h.

55 {
56 node.children.push_back(std::move(child));
57 }
std::move
T move(T...args)

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | std::string | val
| ) |  | const
| inline

Definition at line 59 of file Node.h.

59 {
60 node.value = std::move(val);
61 }
std::move
T move(T...args)

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | boost::iterator_range< Iterator > | range
| ) |  | const
| inline

Definition at line 63 of file Node.h.

63 {
64 node.value = boost::copy_range<std::string>(range);
65 }
Gaudi::range
NamedRange_< CONTAINER > range(const CONTAINER &cnt, std::string name)
simple function to create the named range from arbitrary container
Definition: NamedRange.h:129

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | bool | val
| ) |  | const
| inline

Definition at line 67 of file Node.h.

67 {
68 node.value = val?"1":"0";
69 }

void Gaudi::Parsers::NodeOperations::operator() | ( | Node & | node,
|  | const Iterator & | iter
| ) |  | const
| inline

Definition at line 71 of file Node.h.

71 {
72 const IteratorPosition& pos = iter.get_position();
73 node.position = Position(pos.file, pos.line, pos.column);
74 }
IteratorPosition
boost::spirit::classic::file_position_base< std::string > IteratorPosition
Definition: Iterator.h:20

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/Node.h